# Gimp.context_set_transform_direction

    function context_set_transform_direction(transform_direction: Gimp.TransformDirection): Boolean {
        // Gjs wrapper for gimp_context_set_transform_direction()
    }

Set the transform direction.

Modifies the transform direction setting.

This setting affects affects the following procedures: Gimp.Item.prototype.transform_flip, Gimp.Item.prototype.transform_perspective, Gimp.Item.prototype.transform_rotate, Gimp.Item.prototype.transform_scale, Gimp.Item.prototype.transform_shear, Gimp.Item.prototype.transform_2d, Gimp.Item.prototype.transform_matrix.

Since 2.8

transform_direction

  The transform direction.

Returns

  TRUE on success.